|  | Home · All Classes · All Functions · Overviews

# QResizeEvent Class Reference
[QtGui module]

The QResizeEvent class contains event parameters for resize events. More...

     #include <QResizeEvent>

Inherits QEvent.

- List of all members, including inherited members

## Public Functions

| QResizeEvent ( const QSize & size, const QSize & oldSize )
const QSize & | oldSize () const
const QSize & | size () const

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QResizeEvent class contains event parameters for resize events.

Resize events are sent to widgets that have been resized.

The event handler QWidget::resizeEvent() receives resize events.

See also QWidget::resize() and QWidget::setGeometry().

## Member Function Documentation

### QResizeEvent::QResizeEvent ( const QSize & size, const QSize & oldSize )

Constructs a resize event with the new and old widget sizes, size and oldSize respectively.

### const QSize & QResizeEvent::oldSize () const

Returns the old size of the widget.

### const QSize & QResizeEvent::size () const

Returns the new size of the widget. This is the same as QWidget::size().